# Uses of Class
org.jmol.script.T

Packages that use T
Package
Description
org.jmol.api
org.jmol.script
org.jmol.scriptext
org.jmol.viewer

## Uses of T in org.jmol.api

Methods in org.jmol.api with parameters of type T
Modifier and Type
Method
Description
`boolean`
JmolScriptEvaluator.`checkSelect(Map<String,SV> h, T[] where)`

## Uses of T in org.jmol.script

Subclasses of T in org.jmol.script
Modifier and Type
Class
Description
`class`
`SV`
ScriptVariable class
Fields in org.jmol.script declared as T
Modifier and Type
Field
Description
`T[][]`
ScriptEval.`aatoken`
`protected T[]`
ScriptTokenParser.`atokenInfix`
`protected T`
ScriptTokenParser.`lastFlowCommand`
`protected T`
ScriptTokenParser.`lastToken`
`T[]`
ScriptParam.`st`
`T[]`
ScriptContext.`statement`
`protected T[]`
ScriptExpr.`tempStatement`
`T`
ScriptParam.`theToken`
`protected T`
ScriptTokenParser.`theToken`
`static final T`
T.`tokenAll`
`static final T`
T.`tokenAnd`
`protected T`
ScriptTokenParser.`tokenAndEquals`
`static final T`
T.`tokenAndFALSE`
`static final T`
T.`tokenAndSpec`
`static final T`
T.`tokenArrayClose`
`static final T`
T.`tokenArrayOpen`
`static final T`
T.`tokenArraySquare`
`static final T`
T.`tokenColon`
`static final T`
T.`tokenComma`
`protected T`
ScriptTokenParser.`tokenCommand`
`static final T`
T.`tokenConnected`
`static final T`
T.`tokenCoordinateBegin`
`static final T`
T.`tokenCoordinateEnd`
`static final T`
T.`tokenDefineString`
`static final T`
T.`tokenDivide`
`static final T`
T.`tokenEquals`
`static final T`
T.`tokenExpressionBegin`
`static final T`
T.`tokenExpressionEnd`
`static final T`
T.`tokenIf`
`static final T`
T.`tokenLeftBrace`
`static final T`
T.`tokenLeftParen`
`static final T`
T.`tokenLength`
`static final T`
T.`tokenMinus`
`static final T`
T.`tokenMul3`
`static final T`
T.`tokenOff`
`static final T`
T.`tokenOn`
`static final T`
T.`tokenOpIf`
`static final T`
T.`tokenOr`
`static final T`
T.`tokenOrTRUE`
`static final T`
T.`tokenPlus`
`static final T`
T.`tokenRightBrace`
`static final T`
T.`tokenRightParen`
`static final T`
T.`tokenScript`
`static final T`
T.`tokenSet`
`static final T`
T.`tokenSetArray`
`static final T`
T.`tokenSetCmd`
`static final T`
T.`tokenSetProperty`
`static final T`
T.`tokenSetVar`
`static final T`
T.`tokenSpaceBeforeSquare`
`static final T`
T.`tokenSwitch`
`static final T`
T.`tokenTimes`
Methods in org.jmol.script that return T
Modifier and Type
Method
Description
`T[]`
ScriptContext.`getToken(int i)`
`T`
ScriptParam.`getToken(int i)`
`static T`
T.`getTokenFromName(String name)`
`static final T`
T.`i(int intValue)`
`static final T`
T.`n(int tok, int intValue)`
`static final T`
T.`o(int tok, Object value)`
`static final T`
T.`t(int tok)`
`static final T`
T.`tv(int tok, int intValue, Object value)`
Methods in org.jmol.script that return types with arguments of type T
Modifier and Type
Method
Description
`static Lst<T>`
T.`getAtomPropertiesLike(String type)`
Methods in org.jmol.script with parameters of type T
Modifier and Type
Method
Description
`boolean`
ScriptMathProcessor.`addOp(T op)`
addOp The primary driver of the Reverse Polish Notation evaluation engine.
`static void`
T.`addToken(String ident, T token)`
`boolean`
ScriptMathProcessor.`addXNum(T x)`
`boolean`
ScriptMathProcessor.`binaryOp(T op, SV x1, SV x2)`
`static boolean`
SV.`bValue(T x)`
`boolean`
ScriptEval.`checkSelect(Map<String,SV> h, T[] where)`
Check a map for a WHERE phrase
`static float[][]`
SV.`fflistValue(T x, int nMin)`
`static float[]`
SV.`flistValue(T x, int nMin)`
`static float`
SV.`fValue(T x)`
`static int`
SV.`getArrayDepth(T x)`
`Lst<P3>`
ScriptParam.`getPointOrCenterVector(T t)`
`Lst<P3>`
ScriptParam.`getPointVector(T t, int i)`
`static int`
SV.`iValue(T x)`
`static SV`
SV.`newT(T x)`
`P4`
ScriptParam.`planeValue(T x)`
`boolean`
ScriptMathProcessor.`propOp(T op, SV x2)`
`static String`
ScriptEval.`statementAsString(Viewer vwr, T[] statement, int iTok, boolean doLogMessages)`
`static String[]`
SV.`strListValue(T x)`
`static String`
SV.`sValue(T x)`

## Uses of T in org.jmol.scriptext

Fields in org.jmol.scriptext declared as T
Modifier and Type
Field
Description
`protected T[]`
ScriptExt.`st`
Methods in org.jmol.scriptext that return T
Modifier and Type
Method
Description
`protected T`
ScriptExt.`getToken(int i)`
Methods in org.jmol.scriptext with parameters of type T
Modifier and Type
Method
Description
`String`
CmdExt.`dispatch(int iTok, boolean flag, T[] st)`
The command dispatcher for the set of commands extended by this class.
`String`
IsoExt.`dispatch(int iTok, boolean b, T[] st)`
`abstract String`
ScriptExt.`dispatch(int iTok, boolean b, T[] st)`
`boolean`
MathExt.`evaluate(ScriptMathProcessor mp, T op, SV[] args, int tok)`

## Uses of T in org.jmol.viewer

Methods in org.jmol.viewer that return T
Modifier and Type
Method
Description
`T[]`
Viewer.`compileExpr(String expr)`
Methods in org.jmol.viewer with parameters of type T
Modifier and Type
Method
Description
`boolean`
Viewer.`checkSelect(Map<String,SV> h, T[] value)`